build: Re-enable the -Wl,--as-needed flag
authorAndrew Bartlett <abartlet@samba.org>
Wed, 6 Jul 2011 01:58:10 +0000 (11:58 +1000)
committerAndrew Bartlett <abartlet@samba.org>
Wed, 6 Jul 2011 02:23:39 +0000 (12:23 +1000)
wscript

diff --git a/wscript b/wscript
index 32c1c80..0b5e68f 100755 (executable)
--- a/wscript
+++ b/wscript
@@ -115,12 +115,8 @@ def configure(conf):
     # allows us to find problems on our development hosts faster.
     # It also results in faster load time.
 
-    # However, until the source3 waf build settles down, this needs to
-    # be disabled, as the bugs mentioned above are hitting too many of
-    # our users
-
-    #if sys.platform != "openbsd4":
-    #    conf.env.asneeded_ldflags = conf.ADD_LDFLAGS('-Wl,--as-needed', testflags=True)
+    if sys.platform != "openbsd4":
+        conf.env.asneeded_ldflags = conf.ADD_LDFLAGS('-Wl,--as-needed', testflags=True)
 
     if not conf.CHECK_NEED_LC("-lc not needed"):
         conf.ADD_LDFLAGS('-lc', testflags=False)